package jalview.datamodel;

import java.util.BitSet;

public interface ContactMatrixI
{

  ContactListI getContactList(int column);

  float getMin();

  float getMax();

  boolean hasReferenceSeq();

  SequenceI getReferenceSeq();

  String getAnnotDescr();

  String getAnnotLabel();

  /**
   * string indicating how the contactMatrix should be rendered - stored in calcId
   * @return 
   */
  String getType();

  int getWidth();
  int getHeight();
  
  default boolean hasGroups() {
    return false;
  }
  default BitSet getGroupsFor(int column) {
    BitSet colbitset  = new BitSet();
    colbitset.set(column);
    return colbitset;
  }

}
